package com.hai.model;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 加油站订单
 * @author hurui
 */
public class GasOrderModel {

    private Long orderId;
    private String orderNo;
    private String gasOrderNo;
    private String memDiscountName;
    private Integer payType;
    private BigDecimal totalPrice;
    private BigDecimal deductionPrice;
    private BigDecimal payablePrice;
    private BigDecimal payGold;
    private BigDecimal payRealPrice;
    private Integer status;
    private String merPhone;
    private String gasLogo;
    private String gasName;
    private String gasAddress;
    private String gasStaffName;
    private String gasOilType;
    private String gasOilNo;
    private String gasGunNo;
    private String gasOilLiters;
    private String gasDiscount;
    private String gasOilSubsidy;
    private String gasLitersPreferences;
    private String gasPricePreferences;
    private String gasPriceGun;
    private Date createTime;
    private Date payTime;
    private Date refundTime;
    private BigDecimal refundPrice;
    private String refundContent;
    private Boolean printStatus;
    private Integer printNum;

    public BigDecimal getPayablePrice() {
        return payablePrice;
    }

    public void setPayablePrice(BigDecimal payablePrice) {
        this.payablePrice = payablePrice;
    }

    public BigDecimal getPayGold() {
        return payGold;
    }

    public void setPayGold(BigDecimal payGold) {
        this.payGold = payGold;
    }

    public String getMemDiscountName() {
        return memDiscountName;
    }

    public void setMemDiscountName(String memDiscountName) {
        this.memDiscountName = memDiscountName;
    }

    public String getGasStaffName() {
        return gasStaffName;
    }

    public void setGasStaffName(String gasStaffName) {
        this.gasStaffName = gasStaffName;
    }

    public String getMerPhone() {
        return merPhone;
    }

    public void setMerPhone(String merPhone) {
        this.merPhone = merPhone;
    }

    public Boolean getPrintStatus() {
        return printStatus;
    }

    public void setPrintStatus(Boolean printStatus) {
        this.printStatus = printStatus;
    }

    public Integer getPrintNum() {
        return printNum;
    }

    public void setPrintNum(Integer printNum) {
        this.printNum = printNum;
    }

    public BigDecimal getRefundPrice() {
        return refundPrice;
    }

    public void setRefundPrice(BigDecimal refundPrice) {
        this.refundPrice = refundPrice;
    }

    public String getRefundContent() {
        return refundContent;
    }

    public void setRefundContent(String refundContent) {
        this.refundContent = refundContent;
    }

    public Long getOrderId() {
        return orderId;
    }

    public void setOrderId(Long orderId) {
        this.orderId = orderId;
    }

    public String getGasOilType() {
        return gasOilType;
    }

    public void setGasOilType(String gasOilType) {
        this.gasOilType = gasOilType;
    }

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    public String getGasOrderNo() {
        return gasOrderNo;
    }

    public void setGasOrderNo(String gasOrderNo) {
        this.gasOrderNo = gasOrderNo;
    }

    public Integer getPayType() {
        return payType;
    }

    public void setPayType(Integer payType) {
        this.payType = payType;
    }

    public BigDecimal getTotalPrice() {
        return totalPrice;
    }

    public void setTotalPrice(BigDecimal totalPrice) {
        this.totalPrice = totalPrice;
    }

    public BigDecimal getDeductionPrice() {
        return deductionPrice;
    }

    public void setDeductionPrice(BigDecimal deductionPrice) {
        this.deductionPrice = deductionPrice;
    }

    public BigDecimal getPayRealPrice() {
        return payRealPrice;
    }

    public void setPayRealPrice(BigDecimal payRealPrice) {
        this.payRealPrice = payRealPrice;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getGasLogo() {
        return gasLogo;
    }

    public void setGasLogo(String gasLogo) {
        this.gasLogo = gasLogo;
    }

    public String getGasName() {
        return gasName;
    }

    public void setGasName(String gasName) {
        this.gasName = gasName;
    }

    public String getGasAddress() {
        return gasAddress;
    }

    public void setGasAddress(String gasAddress) {
        this.gasAddress = gasAddress;
    }

    public String getGasOilNo() {
        return gasOilNo;
    }

    public void setGasOilNo(String gasOilNo) {
        this.gasOilNo = gasOilNo;
    }

    public String getGasGunNo() {
        return gasGunNo;
    }

    public void setGasGunNo(String gasGunNo) {
        this.gasGunNo = gasGunNo;
    }

    public String getGasOilLiters() {
        return gasOilLiters;
    }

    public void setGasOilLiters(String gasOilLiters) {
        this.gasOilLiters = gasOilLiters;
    }

    public String getGasDiscount() {
        return gasDiscount;
    }

    public void setGasDiscount(String gasDiscount) {
        this.gasDiscount = gasDiscount;
    }

    public String getGasOilSubsidy() {
        return gasOilSubsidy;
    }

    public void setGasOilSubsidy(String gasOilSubsidy) {
        this.gasOilSubsidy = gasOilSubsidy;
    }

    public String getGasLitersPreferences() {
        return gasLitersPreferences;
    }

    public void setGasLitersPreferences(String gasLitersPreferences) {
        this.gasLitersPreferences = gasLitersPreferences;
    }

    public String getGasPricePreferences() {
        return gasPricePreferences;
    }

    public void setGasPricePreferences(String gasPricePreferences) {
        this.gasPricePreferences = gasPricePreferences;
    }

    public String getGasPriceGun() {
        return gasPriceGun;
    }

    public void setGasPriceGun(String gasPriceGun) {
        this.gasPriceGun = gasPriceGun;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getPayTime() {
        return payTime;
    }

    public void setPayTime(Date payTime) {
        this.payTime = payTime;
    }

    public Date getRefundTime() {
        return refundTime;
    }

    public void setRefundTime(Date refundTime) {
        this.refundTime = refundTime;
    }
}
